Get all product classifications
get
/fscmRestApi/resources/11.13.18.05/fiscalDocumentProductClassificationsLOV
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the product classification with the specified classification code, classification type name, category set ID, category ID, and structure ID.
Finder Variables- CategoryId; integer; The unique identifier of the product category.
- CategorySetId; integer; The unique identifier of the category set.
- ClassificationCode; string; The code assigned to the product classification.
- ClassificationTypeName; string; The name of the product classification type.
- StructureId; integer; The unique identifier of the product classification structure.
- findByCountryCode Finds product classifications that are valid for the specified country code.
Finder Variables- bindCountryCode; string; Country code for the product classification.
- findByTaxClassificationCodeAndTaxClassificationName Finds product classifications based on the specified tax classification code and tax classification name.
Finder Variables
- PrimaryKey Finds the product classification with the specified classification code, classification type name, category set ID, category ID, and structure ID.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CategoryId; integer; The unique identifier of the product category.
- CategorySetId; integer; The unique identifier of the category set.
- ClassificationCode; string; The code assigned to the product classification.
- ClassificationCodeInMemory; string; The product classification code applicable during processing.
- ClassificationName; string; The name of the product classification.
- ClassificationTypeName; string; The name of the product classification type.
- CountryCode; string; The country code for which the classification is valid.
- CountryName; string; The full name of the country for which the classification is valid.
- Description; string; A brief description of the product classification.
- EffectiveFrom; string; The date when the product classification becomes effective.
- EffectiveTo; string; The date when the product classification ceases to be effective.
- StructureCode; string; The code that identifies the product classification structure.
- StructureId; integer; The unique identifier of the product classification structure.
- StructureName; string; The name of the product classification structure.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : fiscalDocumentProductClassificationsLOV
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : fiscalDocumentProductClassificationsLOV-item-response
Type:
Show Source
object-
CategoryId: integer
Read Only:
trueThe unique identifier of the product category. -
CategorySetId: integer
Read Only:
trueThe unique identifier of the category set. -
ClassificationCode: string
Title:
CodeRead Only:trueThe code assigned to the product classification. -
ClassificationCodeInMemory: string
Title:
CodeRead Only:trueThe product classification code applicable during processing. -
ClassificationName: string
Title:
NameRead Only:trueMaximum Length:255The name of the product classification. -
ClassificationTypeName: string
Title:
TypeRead Only:trueMaximum Length:240The name of the product classification type. -
CountryCode: string
Title:
Country CodeRead Only:trueMaximum Length:2The country code for which the classification is valid. -
CountryName: string
Title:
CountryRead Only:trueMaximum Length:80The full name of the country for which the classification is valid. -
Description: string
Title:
DescriptionRead Only:trueMaximum Length:240A brief description of the product classification. -
EffectiveFrom: string
(date)
Read Only:
trueThe date when the product classification becomes effective. -
EffectiveTo: string
(date)
Read Only:
trueThe date when the product classification ceases to be effective. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
StructureCode: string
Read Only:
trueMaximum Length:30The code that identifies the product classification structure. -
StructureId: integer
Read Only:
trueThe unique identifier of the product classification structure. -
StructureName: string
Read Only:
trueThe name of the product classification structure.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.